> For the complete documentation index, see [llms.txt](https://bxorm.ortusbooks.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://bxorm.ortusbooks.com/bxorm-2.x/reference/built-in-functions/ormevictqueries.md).

# ORMEvictQueries

Evict cached queries from a query cache region

Evict all queries from the named or default query cache region on the named or default datasource.

## Method Signature

```
ORMEvictQueries(cacheName=[String], datasource=[String])
```

### Arguments

| Argument     | Type     | Required | Description                                                                                                   | Default |
| ------------ | -------- | -------- | ------------------------------------------------------------------------------------------------------------- | ------- |
| `cacheName`  | `String` | `false`  | The name of the cache region to evict. If not provided, the default query cache will be evicted.              |         |
| `datasource` | `String` | `false`  | The name of the datasource on which to evict the cache. If not provided, the default datasource will be used. |         |

## Examples

### Evict the Default Query Cache

Call with no arguments to clear the default query cache region. Named regions are not cleared.

```java
ormEvictQueries();
```

### Evict by Region and Datasource Cache

You can target a specific cache region and datasource.

```java
ormEvictQueries( "queries", "admin" );
```

## Related

* [EntityCriteria](/bxorm-2.x/reference/built-in-functions/entitycriteria.md)
* [EntityDelete](/bxorm-2.x/reference/built-in-functions/entitydelete.md)
* [EntityEvict](/bxorm-2.x/reference/built-in-functions/entityevict.md)
* [EntityGetDatasource](/bxorm-2.x/reference/built-in-functions/entitygetdatasource.md)
* [EntityGetDirtyProperties](/bxorm-2.x/reference/built-in-functions/entitygetdirtyproperties.md)
* [EntityGetId](/bxorm-2.x/reference/built-in-functions/entitygetid.md)
* [EntityGetMetadata](/bxorm-2.x/reference/built-in-functions/entitygetmetadata.md)
* [EntityGetName](/bxorm-2.x/reference/built-in-functions/entitygetname.md)
* [EntityGetReference](/bxorm-2.x/reference/built-in-functions/entitygetreference.md)
* [EntityIsAttached](/bxorm-2.x/reference/built-in-functions/entityisattached.md)
* [EntityIsDirty](/bxorm-2.x/reference/built-in-functions/entityisdirty.md)
* [EntityLoad](/bxorm-2.x/reference/built-in-functions/entityload.md)
* [EntityLoadAsStruct](/bxorm-2.x/reference/built-in-functions/entityloadasstruct.md)
* [EntityLoadByExample](/bxorm-2.x/reference/built-in-functions/entityloadbyexample.md)
* [EntityLoadByPK](/bxorm-2.x/reference/built-in-functions/entityloadbypk.md)
* [EntityLoadByPKOrFail](/bxorm-2.x/reference/built-in-functions/entityloadbypkorfail.md)
* [EntityLoadOrFail](/bxorm-2.x/reference/built-in-functions/entityloadorfail.md)
* [EntityLoadOrNew](/bxorm-2.x/reference/built-in-functions/entityloadornew.md)
* [EntityLoadOrSave](/bxorm-2.x/reference/built-in-functions/entityloadorsave.md)
* [EntityLoadReadOnly](/bxorm-2.x/reference/built-in-functions/entityloadreadonly.md)
* [EntityLock](/bxorm-2.x/reference/built-in-functions/entitylock.md)
* [EntityMerge](/bxorm-2.x/reference/built-in-functions/entitymerge.md)
* [EntityNameArray](/bxorm-2.x/reference/built-in-functions/entitynamearray.md)
* [EntityNameList](/bxorm-2.x/reference/built-in-functions/entitynamelist.md)
* [EntityNew](/bxorm-2.x/reference/built-in-functions/entitynew.md)
* [EntityReload](/bxorm-2.x/reference/built-in-functions/entityreload.md)
* [EntitySave](/bxorm-2.x/reference/built-in-functions/entitysave.md)
* [EntityToQuery](/bxorm-2.x/reference/built-in-functions/entitytoquery.md)
* [EntityToStruct](/bxorm-2.x/reference/built-in-functions/entitytostruct.md)
* [ORMClearSession](/bxorm-2.x/reference/built-in-functions/ormclearsession.md)
* [ORMCloseAllSessions](/bxorm-2.x/reference/built-in-functions/ormcloseallsessions.md)
* [ORMCloseSession](/bxorm-2.x/reference/built-in-functions/ormclosesession.md)
* [ORMDiagnostics](/bxorm-2.x/reference/built-in-functions/ormdiagnostics.md)
* [ORMEvictCollection](/bxorm-2.x/reference/built-in-functions/ormevictcollection.md)
* [ORMEvictEntity](/bxorm-2.x/reference/built-in-functions/ormevictentity.md)
* [ORMExecuteQuery](/bxorm-2.x/reference/built-in-functions/ormexecutequery.md)
* [ORMFlush](/bxorm-2.x/reference/built-in-functions/ormflush.md)
* [ORMFlushAll](/bxorm-2.x/reference/built-in-functions/ormflushall.md)
* [ORMGetHibernateVersion](/bxorm-2.x/reference/built-in-functions/ormgethibernateversion.md)
* [ORMGetSQLFunctions](/bxorm-2.x/reference/built-in-functions/ormgetsqlfunctions.md)
* [ORMGetSession](/bxorm-2.x/reference/built-in-functions/ormgetsession.md)
* [ORMGetSessionFactory](/bxorm-2.x/reference/built-in-functions/ormgetsessionfactory.md)
* [ORMGetSessionStatistics](/bxorm-2.x/reference/built-in-functions/ormgetsessionstatistics.md)
* [ORMIsSessionDirty](/bxorm-2.x/reference/built-in-functions/ormissessiondirty.md)
* [ORMReadOnly](/bxorm-2.x/reference/built-in-functions/ormreadonly.md)
* [ORMReload](/bxorm-2.x/reference/built-in-functions/ormreload.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://bxorm.ortusbooks.com/bxorm-2.x/reference/built-in-functions/ormevictqueries.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
